MCON(1)

NAME
mcon - controls pcvt mouse emulator

SYNOPSIS
mcon [-l left-button-key] [-m mid-button-key] [-r right-button-key] [-a accel-time] [-s 0 | false | no] [-s 1 | true | yes] device

DESCRIPTION
The mcon utility controls the configurable parameters for the mouse emulator of pcvt(4).
NB: The mouse emulator is not configured in by default; the system's config file needs to specify an option line options “PCVT_EMU_MOUSE” in order to get its functionality.

Either way, the mcon program must be called with an argument device that specifies the device node used for the mouse emulation. This is usually the first device node of the pcvt(4) driver not being used as a virtual terminal device. E. g., if you have configured eight virtual terminals (the default value), named /dev/ttyv0 through /dev/ttyv7, the mouse emulator would allocate /dev/ttyv8. If mcon is called without any option, it will print the actual values of the configurable parameters. If called with an option, the program attempts to set up the new value.

The options are as follows:

-l left-button-key

-m mid-button-key

-r right-button-key
    Maps the named button key to emulate either the left, middle, or right mouse button. Button key is the usual name for that key. Normal ASCII keys are denoted by the character they're labeled with, function keys are named f1 through f10. Note that the AT function keys f11 and f12 are extended keys that cannot be mapped to be used with the mouse emulator since it only allows basic PC-scancode keys to be used.

-a accel-time
    Set the time limit for the internal accelerator to accel-time milliseconds. Key events occurring after a longer time than this limit will move the mouse cursor in single steps. Key events arriving more frequently will move the cursor accelerated by a factor of 6. Note that despite of milliseconds being the unit of choice here, the time resolution is restricted by the timer tick distance of the underlying operating system, usually to a granularity of 10 milliseconds.

-s 0 | false | no

-s 1 | true | yes
    The first form disables, the second form enables the sticky behaviour of the mouse buttons. Sticky mouse keys behave much like toggle-buttons: on first press, they become active, on second press, they're deactivated. Pressing another button will deactivate any other sticky button anyway. Sticky buttons might be more convenient since you don't need 20 fingers at all; on the other hand, they make it virtually impossible to initiate double or triple mouse clicks.

EXAMPLES
The following example would install the default behaviour of the mouse emulator: mcon -l f1 -m f2 -r f3 -a 250 -s no /dev/ttyv8

BUGS
The key names used to map the button-emulating keys to scan codes (and vica verse) are based on the American keyboard layout. This would usually not cause any trouble since the “button-of-choice” is certainly some function key that should be equal for any national keyboard layout.

The mouse emulator is a rude hack at all; its only purpose is to provide a device to move the pointer within an X-windowing environment.

SEE ALSO
pcvt(4), X(1x).

HISTORY
The mcon utility appeared in pcvt(4), release 3.00.

AUTHOR
The mouse emulator has been contributed by Joerg Wunsch.